## execnet 1.0.5

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

install: clean html linkcheck
	rsync -avz $(BUILDDIR)/html/ code:www-execnet/

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/execnet.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/execnet.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## execnet 1.0.4

=== debian/changelog ===
execnet (1.0.4-1) unstable; urgency=low

  * Imported Upstream version 1.0.4

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Tue, 19 Jan 2010 19:18:29 +0100

execnet (1.0.3-1) unstable; urgency=low

  * Imported Upstream version 1.0.3

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Mon, 18 Jan 2010 14:54:08 +0100

execnet (1.0.2-1) unstable; urgency=low

  * Use 3.0 (quilt) source package format
  * Clean execnet.egg-info/SOURCES.txt
  * Added XS-Python-Version/XB-Python-Version
  * Imported Upstream version 1.0.2
  * Added autopkgtest test

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Sun, 27 Dec 2009 19:46:30 +0100

execnet (1.0.1-2) unstable; urgency=low

  * Added improvements from Chris Lamb (Sponsor), thanks
    - Fixed debian/python-execnet.doc-base filename
    - Removed redundant section tag in debian/control
    - Removed unneeded template comments in debian/rules
  * Use upstreams short description

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Mon, 07 Dec 2009 09:09:51 +0100

execnet (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Updated package description to match upstream

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Sun, 06 Dec 2009 12:56:43 +0100

execnet (1.0.0-2) unstable; urgency=low

  * Install documentation in html-format

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Sat, 05 Dec 2009 16:32:21 +0100

execnet (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #559152)

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Wed, 02 Dec 2009 08:13:35 +0100

=== debian/control ===
Source: execnet
Priority: optional
Maintainer: Adam Schmalhofer <Adam.Schmalhofer@gmx.de>
Build-Depends: debhelper (>= 7.0.50~), python-support, python-all, python-sphinx
Standards-Version: 3.8.3
Section: python
XS-Python-Version: all
Homepage: http://codespeak.net/execnet/

Package: python-execnet
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libjs-jquery
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: rapid multi-Python deployment
 execnet provides carefully tested means to ad-hoc interact with Python
 interpreters across version, platform and network barriers.  It provides
 a minimal and fast API targetting the following uses:
 .
  * distribute tasks to local or remote CPUs
  * write and deploy hybrid multi-process applications
  * write scripts to administer a bunch of exec environments

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

override_dh_installdocs:
	make -C doc html
	dh_installdocs
	dh_link /usr/share/javascript/jquery/jquery.min.js \
		/usr/share/doc/python-execnet/html/_static/jquery.js
	dh_link /usr/share/doc/python-execnet/html/_sources/ \
		/usr/share/doc/python-execnet/rst

override_dh_clean:
	dh_clean
	make -C doc clean

override_dh_auto_clean:
	dh_auto_clean
	rm -f execnet.egg-info/SOURCES.txt

override_dh_compress:
	dh_compress -X.js -X.html

## execnet 1.0.5

=== debian/changelog ===
execnet (1.0.5-3) unstable; urgency=low

  * Fixed build-dependency - thanks to Chris Lamb

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Wed, 24 Feb 2010 17:39:03 +0100

execnet (1.0.5-2) unstable; urgency=low

  * Depend on python-apipkg instead of embedding it

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Tue, 23 Feb 2010 11:13:04 +0100

execnet (1.0.5-1) unstable; urgency=low

  * minor simplified cleaning
  * Imported Upstream version 1.0.5
  * Standards-Version bumped to 3.8.4

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Sun, 07 Feb 2010 18:48:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: execnet
 Priority: optional
 Maintainer: Adam Schmalhofer <Adam.Schmalhofer@gmx.de>
-Build-Depends: debhelper (>= 7.0.50~), python-support, python-all, python-sphinx
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7.0.50~), python-support, python-all, python-sphinx, python-apipkg
+Standards-Version: 3.8.4
 Section: python
 XS-Python-Version: all
 Homepage: http://codespeak.net/execnet/
 
 Package: python-execnet
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, libjs-jquery
+Depends: ${python:Depends}, ${misc:Depends}, libjs-jquery, python-apipkg
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: rapid multi-Python deployment

=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,13 @@
 	dh_link /usr/share/doc/python-execnet/html/_sources/ \
 		/usr/share/doc/python-execnet/rst
 
+override_dh_auto_build:
+	rm -f execnet/apipkg.py execnet/apipkg.pyc
+	dh_auto_build
+
 override_dh_clean:
 	dh_clean
 	make -C doc clean
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f execnet.egg-info/SOURCES.txt
-
 override_dh_compress:
 	dh_compress -X.js -X.html

## execnet 1.0.8

=== debian/changelog ===
execnet (1.0.8-1.1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:02:45 +0000

execnet (1.0.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:38 +0200

execnet (1.0.8-1) unstable; urgency=low

  * Imported Upstream version 1.0.8
  * python-support => dh_python2
  * ported apipkg patch to new version
  * Bumped Standards-Version

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Sat, 26 Feb 2011 22:31:54 +0100

execnet (1.0.6-2) unstable; urgency=low

  * Fix dpkg-source -x patch fuzziness

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Mon, 03 May 2010 16:04:11 +0200

execnet (1.0.6-1) unstable; urgency=low

  * Imported Upstream version 1.0.6

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Sun, 02 May 2010 16:15:20 +0200

## execnet 1.0.9

=== doc/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 clean:
 	-rm -rf $(BUILDDIR)/*
 
-install: clean html linkcheck
+install: clean html 
 	rsync -avz $(BUILDDIR)/html/ code:www-execnet/
 
 html:

=== debian/changelog ===
execnet (1.0.9-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release (Closes: #673686)

 -- Simon Chopin <chopin.simon@gmail.com>  Sat, 26 May 2012 16:28:24 +0200

=== debian/control ===
Source: execnet
Priority: optional
Maintainer: Adam Schmalhofer <Adam.Schmalhofer@gmx.de>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3), python-sphinx, python-apipkg
Standards-Version: 3.9.1
Section: python
Homepage: http://codespeak.net/execnet/

Package: python-execnet
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libjs-jquery, python-apipkg
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Description: rapid multi-Python deployment
 execnet provides carefully tested means to ad-hoc interact with Python
 interpreters across version, platform and network barriers.  It provides
 a minimal and fast API targetting the following uses:
 .
  * distribute tasks to local or remote CPUs
  * write and deploy hybrid multi-process applications
  * write scripts to administer a bunch of exec environments

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh  $@
+	dh --with python2 $@
 
 override_dh_installdocs:
 	make -C doc html

=== debian/tests/control ===
Tests: pytest
Depends: python-codespeak-lib

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/e/execnet/ execnet-(.+).tar.gz

## execnet 1.4.1

=== debian/changelog ===
execnet (1.4.1-4) unstable; urgency=medium

  * package orphaned:
    + deb/control: maintainer set to Debian QA Group.

 -- Daniel Stender <stender@debian.org>  Mon, 19 Jun 2017 09:24:54 +0200

execnet (1.4.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable tests that are often failing (Closes: #854494, #858189).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Apr 2017 20:30:05 +0000

execnet (1.4.1-3) unstable; urgency=medium

  * add test_gateway-fix-race-condition.patch (Closes: #840823 [thanks
    to Andreas Cadhalpun].
  * deb/clean: add .cache/.
  * run DEP-8 tests for Python3 without warnings (Closes: #849466).

 -- Daniel Stender <stender@debian.org>  Sun, 22 Jan 2017 16:05:01 +0100

execnet (1.4.1-2) unstable; urgency=medium

  * deb/control:
    + add Breaks & Replaces for execnet-doc package (Closes: #840108).
    + add relationships between packages and docs (Suggests and Recommends).

 -- Daniel Stender <stender@debian.org>  Sat, 08 Oct 2016 13:08:22 +0200

execnet (1.4.1-1) unstable; urgency=medium

  * build with execnet_1.4.1.orig.tar.xz (stripped Files-Excluded).
  * build with Python 3 package (Closes: #782919):
    + add package description in deb/control.
    + add Python 3 packages to build-deps in deb/control.
    + build with dh_python3 in deb/rules.
  * deb/control:
    + put myself into Maintainer field.
    + bump Debhelper version to 9 (also in deb/compat).
    + add dh-python and pytest to build-deps.
    + bump standards to 3.9.8 (no changes needed).
    + add Vcs fields (source is at collab-maint).
    + remove Provides and Breaks (obsolete).
    + cosmetics (wrap runtime deps, remove trailing whitespace, fix typo).
  * deb/copyright:
    + rewritten to meet DEP-5.
    + add egg-info/ and .hg-s to Files-Excluded.
  * deb/rules:
    + build with buildsystem=pybuild, add export for PYBUILD_NAME.
    + add override for dh_auto_test (invoking pytest).
    + add override for dh_installchangelogs.
    + use dh_installdocs to contribute ISSUES.txt.
    + cosmetics, remove spurious and obsolete lines and overrides.
  * deb/clean: clean whole egg-info/ folder.
  * deb/watch: watch pypi.debian.net.
  * add:
    + deb/gbp.conf.
    + conf.py-int-for-linkcheck_timeout.patch.
    + remove-privacy-breach-google-adsense.patch
  * build execnet-doc package:
    + add package description in deb/control.
    + build with dh_sphinxdoc in deb/rules.
    + rename deb/python-execnet.doc-base, updated.
    + remove deb/docs (not needed anymore, README.txt obsolete).
  * run DEP-8 tests.

 -- Daniel Stender <stender@debian.org>  Thu, 06 Oct 2016 23:21:30 +0200

execnet (1.4.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #790677).
  * deb/control:
    + added version to apipkg build-dep.
    + added setuptools and setuptools-scm to build-deps.
    + wrapped build-deps.
  * drop deb/patches/external-apipkg (not needed anymore).

 -- Daniel Stender <stender@debian.org>  Mon, 26 Sep 2016 19:42:42 +0200

=== debian/control ===
Source: execnet
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3),
 python3-all,
 python-apipkg (>= 1.4),
 python3-apipkg,
 python-setuptools,
 python3-setuptools,
 python-setuptools-scm,
 python3-setuptools-scm,
 python-pytest,
 python3-pytest,
 python-sphinx
Standards-Version: 3.9.8
Section: python
Homepage: http://codespeak.net/execnet/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/execnet.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/execnet.git

Package: python-execnet
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 python-apipkg (>= 1.4)
Suggests:
 execnet-doc
Description: rapid multi-Python deployment (Python 2)
 execnet provides carefully tested means to ad-hoc interact with Python
 interpreters across version, platform and network barriers. It provides
 a minimal and fast API targeting the following uses:
 .
  * distribute tasks to local or remote CPUs
  * write and deploy hybrid multi-process applications
  * write scripts to administer a bunch of exec environments
 .
 This package contains execnet for Python 2.

Package: python3-execnet
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Suggests:
 execnet-doc
Description: rapid multi-Python deployment (Python 3)
 execnet provides carefully tested means to ad-hoc interact with Python
 interpreters across version, platform and network barriers. It provides
 a minimal and fast API targeting the following uses:
 .
  * distribute tasks to local or remote CPUs
  * write and deploy hybrid multi-process applications
  * write scripts to administer a bunch of exec environments
 .
 This package contains execnet for Python 3.

Package: execnet-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python-execnet | python3-execnet
Breaks:
 python-execnet (<= 1.4.1-0.1)
Replaces:
 python-execnet (<= 1.4.1-0.1)
Description: rapid multi-Python deployment (docs)
 execnet provides carefully tested means to ad-hoc interact with Python
 interpreters across version, platform and network barriers. It provides
 a minimal and fast API targeting the following uses:
 .
  * distribute tasks to local or remote CPUs
  * write and deploy hybrid multi-process applications
  * write scripts to administer a bunch of exec environments
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=execnet

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x -rs testing/" dh_auto_test

override_dh_installdocs:
	dh_installdocs -A ISSUES.txt
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -b html -N doc/ debian/execnet-doc/usr/share/doc/execnet-doc/html/

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

=== debian/tests/control ===
Tests: python-execnet
Depends: python-all, python-apipkg, python-pytest

Tests: python3-execnet
Depends: python3-all, python3-apipkg, python3-pytest

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/execnet/execnet-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## execnet 1.5.0

=== debian/changelog ===
execnet (1.5.0-4) unstable; urgency=medium

  * deb/test/control: need python-apipkg for py3 tests as well

 -- Scott Talbert <swt@techie.net>  Fri, 09 Nov 2018 20:45:19 -0500

execnet (1.5.0-3) unstable; urgency=medium

  * deb/tests/control: add python2 for py3 tests to expand test coverage

 -- Scott Talbert <swt@techie.net>  Fri, 09 Nov 2018 20:08:25 -0500

execnet (1.5.0-2) unstable; urgency=medium

  * Attempt to fix debci tests

 -- Scott Talbert <swt@techie.net>  Thu, 08 Nov 2018 22:36:26 -0500

execnet (1.5.0-1) unstable; urgency=medium

  * deb/control: unorphan package and set maintainer to DPMT, add myself as
    uploader (Closes: #840032)
  * deb/control: update VCS URLs to new Salsa repository
  * New upstream release
  * deb/patches: refresh patches, remove conf.py-int-for-linkcheck_timeout.patch
  * deb/rules: update CHANGELOG -> CHANGELOG.rst
  * deb/control: update sphinx build dep to use python3
  * deb/control: update Standards version to 4.2.1 (no changes needed)
  * deb/copyright: use https for copyright format uri

 -- Scott Talbert <swt@techie.net>  Tue, 11 Sep 2018 23:51:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: execnet
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Scott Talbert <swt@techie.net>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -14,12 +15,12 @@
  python3-setuptools-scm,
  python-pytest,
  python3-pytest,
- python-sphinx
-Standards-Version: 3.9.8
+ python3-sphinx
+Standards-Version: 4.2.1
 Section: python
 Homepage: http://codespeak.net/execnet/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/execnet.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/execnet.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/execnet.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/execnet
 
 Package: python-execnet
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -b html -N doc/ debian/execnet-doc/usr/share/doc/execnet-doc/html/
 
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGELOG
+	dh_installchangelogs CHANGELOG.rst

=== debian/tests/control ===
Tests: python-execnet
Depends: python-all, python-apipkg, python-pytest, python3

Tests: python3-execnet
Depends: python, python-apipkg, python3-all, python3-apipkg, python3-pytest

## execnet 1.6.1

=== debian/changelog ===
execnet (1.6.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Scott Talbert ]
  * Update to new upstream release 1.6.1

 -- Scott Talbert <swt@techie.net>  Fri, 26 Jul 2019 22:14:23 -0400

execnet (1.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.

  [ Scott Talbert ]
  * Update to new upstream release 1.6.0
  * d/control: update Standards Version to 4.4.0 (no changes needed)
  * d/control: update debhelper compat version to 12
  * d/patches: refresh patches

 -- Scott Talbert <swt@techie.net>  Mon, 08 Jul 2019 23:53:34 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Scott Talbert <swt@techie.net>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-python,
  python-all (>= 2.6.6-3),
  python3-all,
@@ -16,7 +16,7 @@
  python-pytest,
  python3-pytest,
  python3-sphinx
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Section: python
 Homepage: http://codespeak.net/execnet/
 Vcs-Git: https://salsa.debian.org/python-team/modules/execnet.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 override_dh_installdocs:
 	dh_installdocs -A ISSUES.txt
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -b html -N doc/ debian/execnet-doc/usr/share/doc/execnet-doc/html/
+	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -b html -N doc/ debian/execnet-doc/usr/share/doc/execnet-doc/html/
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.rst

## execnet 1.7.1

=== debian/changelog ===
execnet (1.7.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + execnet-doc: Add Multi-Arch: foreign.

  [ Scott Talbert ]
  * Add execnet/_version.py to d/clean (Closes: #978281)
  * Update Standards-Version to 4.5.1 - no changes needed

 -- Scott Talbert <swt@techie.net>  Sun, 27 Dec 2020 21:49:22 -0500

execnet (1.7.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Use secure URI in Homepage field.

  [ Scott Talbert ]
  * Run autopkgtests on supported Python versions vice installed
  * Update Standards-Version to 4.5.0
  * Update dephelper-compat to 13
  * Rules-Requires-Root: no
  * Update homepages
  * Remove legacy files from d/copyright excludes
  * Add upstream metadata

 -- Scott Talbert <swt@techie.net>  Thu, 13 Aug 2020 15:52:58 -0400

execnet (1.7.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Scott Talbert ]
  * Remove Python 2 support (Closes: #936495)

 -- Scott Talbert <swt@techie.net>  Mon, 09 Dec 2019 20:52:46 -0500

execnet (1.7.1-1) unstable; urgency=medium

  * Update to new upstream release 1.7.1
  * d/patches: refresh

 -- Scott Talbert <swt@techie.net>  Sun, 01 Sep 2019 22:47:52 -0400

execnet (1.7.0-1) unstable; urgency=medium

  * Update to new upstream release 1.7.0
  * d/patches: refresh

 -- Scott Talbert <swt@techie.net>  Thu, 22 Aug 2019 20:29:46 -0400

=== debian/control ===
Source: execnet
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-apipkg,
 python3-setuptools,
 python3-setuptools-scm,
 python3-pytest,
 python3-sphinx
Standards-Version: 4.5.1
Section: python
Homepage: https://github.com/pytest-dev/execnet
Vcs-Git: https://salsa.debian.org/python-team/packages/execnet.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/execnet
Rules-Requires-Root: no

Package: python3-execnet
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Suggests:
 execnet-doc
Description: rapid multi-Python deployment (Python 3)
 execnet provides carefully tested means to ad-hoc interact with Python
 interpreters across version, platform and network barriers. It provides
 a minimal and fast API targeting the following uses:
 .
  * distribute tasks to local or remote CPUs
  * write and deploy hybrid multi-process applications
  * write scripts to administer a bunch of exec environments
 .
 This package contains execnet for Python 3.

Package: execnet-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python3-execnet
Multi-Arch: foreign
Description: rapid multi-Python deployment (docs)
 execnet provides carefully tested means to ad-hoc interact with Python
 interpreters across version, platform and network barriers. It provides
 a minimal and fast API targeting the following uses:
 .
  * distribute tasks to local or remote CPUs
  * write and deploy hybrid multi-process applications
  * write scripts to administer a bunch of exec environments
 .
 This package contains the documentation.

=== debian/tests/control ===
Tests: python3-execnet
Depends: python3-all, python3-apipkg, python3-pytest

## execnet 1.9.0

=== debian/changelog ===
execnet (1.9.0-1) unstable; urgency=medium

  * Update to new upstream release 1.9.0
  * Update Standards-Version to 4.6.0
  * Update d/watch version to 4

 -- Scott Talbert <swt@techie.net>  Wed, 18 Aug 2021 14:07:27 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-setuptools-scm,
  python3-pytest,
  python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: python
 Homepage: https://github.com/pytest-dev/execnet
 Vcs-Git: https://salsa.debian.org/python-team/packages/execnet.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/execnet/execnet-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## execnet 2.0.0

=== debian/changelog ===
execnet (2.0.0-2) unstable; urgency=medium

  * Fix autopkgtests (missing execnet dependency)

 -- Scott Talbert <swt@techie.net>  Mon, 10 Jul 2023 10:21:56 -0400

execnet (2.0.0-1) unstable; urgency=medium

  * Switch to GitHub tarballs (PyPI tarballs no longer contain tests)
  * Update to new upstream release 2.0.0

 -- Scott Talbert <swt@techie.net>  Fri, 07 Jul 2023 18:02:35 -0400

execnet (1.9.0-2) unstable; urgency=medium

  * Update Standards-Version to 4.6.2
  * Add missing BD on python3-py to fix tests with newer pytest

 -- Scott Talbert <swt@techie.net>  Wed, 05 Jul 2023 20:14:49 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-apipkg,
- python3-setuptools,
- python3-setuptools-scm,
- python3-pytest,
+ python3-hatchling,
+ python3-hatch-vcs,
+ python3-pytest <!nocheck>,
+ python3-pytest-timeout <!nocheck>,
  python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: python
 Homepage: https://github.com/pytest-dev/execnet
 Vcs-Git: https://salsa.debian.org/python-team/packages/execnet.git

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=execnet
export PYBUILD_AFTER_INSTALL=PYTHONPATH={destdir}/{install_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -b html -N doc/ debian/execnet-doc/usr/share/doc/execnet-doc/html/

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x -rs testing/" dh_auto_test

override_dh_installdocs:
	dh_installdocs -A ISSUES.txt

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

## execnet 2.1.1

=== debian/changelog ===
execnet (2.1.1-1) unstable; urgency=medium

  * Update to new upstream release 2.1.1

 -- Scott Talbert <swt@techie.net>  Tue, 23 Apr 2024 20:10:06 -0400

execnet (2.0.2-1) unstable; urgency=medium

  * Update to new upstream release 2.0.2
  * Add extend-diff-ignore to fix FTBFS double-build (Closes: #1044556)
  * Run tests the pybuild way

 -- Scott Talbert <swt@techie.net>  Thu, 28 Mar 2024 22:23:42 -0400

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,5 @@
 %:
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
-override_dh_auto_test:
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x -rs testing/" dh_auto_test
-
-override_dh_installdocs:
-	dh_installdocs -A ISSUES.txt
-
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.rst

=== debian/tests/control ===
Tests: python3-execnet
Depends: python3-all, python3-execnet, python3-pytest, python3-pytest-timeout

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/pytest-dev/execnet/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
